import axios from "axios";
import { useState, useEffect } from "react";

const useFetch = ({ url }) => {
    const [data, setData] = useState({});
    // const [error, setError] = useState("");
    useEffect(() => {
        const fetch = async () => {
            let response;
            try {
                 response = await axios.get(url);
                 console.log("USEFETCH:",response)
                 setData(response);
            } catch {
                console.log("Error in useFetch: ");
                return "Error Fetching Data";
            }
        };
        fetch();
    }, [url]);
    return data;
};



export default useFetch;
